org.hibernate.search.elasticsearch.work.impl.factory

## Interface ElasticsearchWorkFactory

- All Known Implementing Classes:
    Elasticsearch2WorkFactory, Elasticsearch5WorkFactory

      public interface ElasticsearchWorkFactory

  Author:
    Yoann Rodiere

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BulkWorkBuilder` | `bulk(List<BulkableElasticsearchWork<?>> bulkableWorks)`
    `ClearScrollWorkBuilder` | `clearScroll(String scrollId)`
    `CloseIndexWorkBuilder` | `closeIndex(URLEncodedString indexName)`
    `CreateIndexWorkBuilder` | `createIndex(URLEncodedString indexName)`
    `DeleteWorkBuilder` | `delete(URLEncodedString indexName, URLEncodedString typeName, URLEncodedString id)`
    `DeleteByQueryWorkBuilder` | `deleteByQuery(URLEncodedString indexName, com.google.gson.JsonObject payload)`
    `DropIndexWorkBuilder` | `dropIndex(URLEncodedString indexName)`
    `ExplainWorkBuilder` | `explain(URLEncodedString indexName, URLEncodedString typeName, URLEncodedString id, com.google.gson.JsonObject payload)`
    `FlushWorkBuilder` | `flush()`
    `GetIndexSettingsWorkBuilder` | `getIndexSettings(URLEncodedString indexName)`
    `GetIndexTypeMappingsWorkBuilder` | `getIndexTypeMappings(URLEncodedString indexName)`
    `IndexWorkBuilder` | `index(URLEncodedString indexName, URLEncodedString typeName, URLEncodedString id, com.google.gson.JsonObject document)`
    `IndexExistsWorkBuilder` | `indexExists(URLEncodedString indexName)`
    `OpenIndexWorkBuilder` | `openIndex(URLEncodedString indexName)`
    `OptimizeWorkBuilder` | `optimize()`
    `PutIndexSettingsWorkBuilder` | `putIndexSettings(URLEncodedString indexName, IndexSettings settings)`
    `PutIndexMappingWorkBuilder` | `putIndexTypeMapping(URLEncodedString indexName, URLEncodedString typeName, TypeMapping mapping)`
    `RefreshWorkBuilder` | `refresh()`
    `ScrollWorkBuilder` | `scroll(String scrollId, String scrollTimeout)`
    `SearchWorkBuilder` | `search(com.google.gson.JsonObject payload)`
    `WaitForIndexStatusWorkBuilder` | `waitForIndexStatusWork(URLEncodedString indexName, ElasticsearchIndexStatus requiredStatus, String timeout)`

- - ### Method Detail

    - #### index

          IndexWorkBuilder index(URLEncodedString indexName,
                                 URLEncodedString typeName,
                                 URLEncodedString id,
                                 com.google.gson.JsonObject document)

    - #### delete

          DeleteWorkBuilder delete(URLEncodedString indexName,
                                   URLEncodedString typeName,
                                   URLEncodedString id)

    - #### deleteByQuery

          DeleteByQueryWorkBuilder deleteByQuery(URLEncodedString indexName,
                                                 com.google.gson.JsonObject payload)

    - #### flush

          FlushWorkBuilder flush()

    - #### refresh

          RefreshWorkBuilder refresh()

    - #### optimize

          OptimizeWorkBuilder optimize()

    - #### bulk

          BulkWorkBuilder bulk(List<BulkableElasticsearchWork<?>> bulkableWorks)

    - #### search

          SearchWorkBuilder search(com.google.gson.JsonObject payload)

    - #### explain

          ExplainWorkBuilder explain(URLEncodedString indexName,
                                     URLEncodedString typeName,
                                     URLEncodedString id,
                                     com.google.gson.JsonObject payload)

    - #### scroll

          ScrollWorkBuilder scroll(String scrollId,
                                   String scrollTimeout)

    - #### clearScroll

          ClearScrollWorkBuilder clearScroll(String scrollId)

    - #### createIndex

          CreateIndexWorkBuilder createIndex(URLEncodedString indexName)

    - #### dropIndex

          DropIndexWorkBuilder dropIndex(URLEncodedString indexName)

    - #### openIndex

          OpenIndexWorkBuilder openIndex(URLEncodedString indexName)

    - #### closeIndex

          CloseIndexWorkBuilder closeIndex(URLEncodedString indexName)

    - #### indexExists

          IndexExistsWorkBuilder indexExists(URLEncodedString indexName)

    - #### getIndexSettings

          GetIndexSettingsWorkBuilder getIndexSettings(URLEncodedString indexName)

    - #### putIndexSettings

          PutIndexSettingsWorkBuilder putIndexSettings(URLEncodedString indexName,
                                                       IndexSettings settings)

    - #### getIndexTypeMappings

          GetIndexTypeMappingsWorkBuilder getIndexTypeMappings(URLEncodedString indexName)

    - #### putIndexTypeMapping

          PutIndexMappingWorkBuilder putIndexTypeMapping(URLEncodedString indexName,
                                                         URLEncodedString typeName,
                                                         TypeMapping mapping)

    - #### waitForIndexStatusWork

          WaitForIndexStatusWorkBuilder waitForIndexStatusWork(URLEncodedString indexName,
                                                               ElasticsearchIndexStatus requiredStatus,
                                                               String timeout)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved